Timekit developers

POST /findtime

Look for mutual availability

Makes it easy to find mutual availability across multiple resources. It will loop through all supplied resources and look for timeslots that are free for all resources.

Please see the Filters Reference page for description and examples of supported filters.

Endpoint

POST https://api.timekit.io/v2/findtime

Parameters

Name In Type Required Default Description
emails body array_string Array of emails to check for mutual availability
resource_ids body array_string Array of uuid of resrouces to check for mutual availability
calendar_ids body array_string Array of uuid of calendars to check for mutual availability
filters body array_mixed Filters to apply, see filter reference page
filtercollection_id body string Reference a saved collection of filters
start body string When should we start looking for available time? Written is human language, eg. 1 day, tomorrow, 2 weeks
future body string 2 days How long into the future should we look for mutual availability (max 6 months)
length body string 1 hour How long should the availability be?
sort body string desc Chronological ascending (asc) or desceding (desc) order of results
ignore_all_day_events body boolean false Do you want to ignore all day event in this query?
all_solutions body boolean false Return all overlapping timeslots? (see note)

Request examples

curl
curl -X POST \
     -H 'Timekit-App: back-to-the-future' \
     -H 'Timekit-OutputTimestampFormat: Y-m-d H:i:s' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     -d '{
           "emails": [
             "doc.brown@timekit.io",
             "marty.mcfly@timekit.io"
           ],
					 "filters": {
			       "or": [
      		     { "specific_day": {"day": "Monday"} },
		           { "specific_day_and_time": {"day": "Wednesday", "start": 10, "end": 12, "timezone": "Europe/Copenhagen"} }
             ],
             "and": [
		           { "business_hours": {"timezone": "America/Los_angeles"} }
             ]
           },
           "future": "2 days",
           "length": "30 minutes"
         }' \
     https://api.timekit.io/v2/findtime

Response examples

200

json
{
  "data": [
    {
      "start": "2015-03-24 15:00:00",
      "end": "2015-03-24 16:00:00"
    },
    {
      "start": "2015-03-24 21:45:00",
      "end": "2015-03-24 22:45:00"
    },
    {
      "start": "2015-03-25 07:30:00",
      "end": "2015-03-25 08:30:00"
    },
    {
      "start": "2015-03-25 16:30:00",
      "end": "2015-03-25 17:30:00"
    },
    {
      "start": "2015-03-25 18:15:00",
      "end": "2015-03-25 19:15:00"
    }
  ]
}

422

json
{
  "errors": {
    "emails": [
      "The emails field is required."
    ]
  }
}